Name:          async-http-client1
# NOTE: Newer release use netty >= 4.0.36.Final
Version:       1.9.40
Release:       6%{?dist}
Summary:       Asynchronous Http Client for Java
# CC0:  src/main/java/com/ning/http/client/providers/netty/chmv8/ConcurrentHashMapV8.java
# src/main/java/com/ning/http/client/providers/netty/chmv8/CountedCompleter.java
# src/main/java/com/ning/http/client/providers/netty/chmv8/ForkJoinPool.java
# src/main/java/com/ning/http/client/providers/netty/chmv8/ForkJoinTask.java
# src/main/java/com/ning/http/client/providers/netty/chmv8/ForkJoinWorkerThread.java
# src/main/java/com/ning/http/client/providers/netty/chmv8/LongAdder.java
# src/main/java/com/ning/http/client/providers/netty/chmv8/Striped64.java
License:       ASL 2.0 and CC0 and EPL
URL:           https://github.com/AsyncHttpClient/async-http-client
Source0:       https://github.com/AsyncHttpClient/async-http-client/archive/async-http-client-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(commons-fileupload:commons-fileupload)
BuildRequires: mvn(commons-io:commons-io)
# netty:3.10.6.Final
BuildRequires: mvn(io.netty:netty:3)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.eclipse.jetty:jetty-security:8.1)
BuildRequires: mvn(org.eclipse.jetty:jetty-server:8.1)
BuildRequires: mvn(org.eclipse.jetty:jetty-servlet:8.1)
BuildRequires: mvn(org.eclipse.jetty:jetty-servlets:8.1)
BuildRequires: mvn(org.eclipse.jetty:jetty-websocket:8.1)
BuildRequires: mvn(org.glassfish.grizzly:connection-pool)
BuildRequires: mvn(org.glassfish.grizzly:grizzly-http-server)
BuildRequires: mvn(org.glassfish.grizzly:grizzly-websockets)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.testng:testng)

# Multiple version 1.5, 1.7, 1.8
Provides:      bundled(jsr166e) = 1.8

BuildArch:     noarch

%description
Async Http Client library purpose is to allow Java applications to
easily execute HTTP requests and asynchronously process the HTTP
responses. The Async HTTP Client library is simple to use.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n async-http-client-async-http-client-%{version}

# Unneeded extensions
%pom_xpath_remove pom:build/pom:extensions
# Not available plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
# Unneeded tasks
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-scm-plugin
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

%pom_xpath_set pom:properties/pom:netty.version 3
%pom_change_dep org.eclipse.jetty: ::8.1

# org.apache.tomcat:catalina:6.0.29
# org.apache.tomcat:coyote:6.0.29
%pom_remove_dep org.apache.tomcat:
rm src/test/java/com/ning/http/client/async/WebDavBasicTest.java \
 src/test/java/com/ning/http/client/async/netty/NettyWebDavBasicTest.java

# java.util.concurrent.ExecutionException: java.io.IOException: Connection is closed
rm src/test/java/com/ning/http/client/async/grizzly/GrizzlyBasicHttpsTest.java
# java.lang.NullPointerException
rm src/test/java/com/ning/http/client/async/netty/FeedableBodyGeneratorTest.java
# java.lang.AssertionError: expected [1] but found [0]
rm src/test/java/com/ning/http/client/async/grizzly/GrizzlyMaxTotalConnectionTest.java
rm src/test/java/com/ning/http/client/async/netty/NettyMaxTotalConnectionTest.java
# java.util.concurrent.ExecutionException: javax.net.ssl.SSLException: Received fatal alert: internal_error
rm -r src/test/java/com/ning/http/client/async/grizzly
rm -r src/test/java/com/ning/http/client/async/netty

%mvn_compat_version com.ning:async-http-client %{version} 1.9 1

%mvn_file com.ning:async-http-client %{name}

%build

%mvn_build -- -Poffline-testing

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.40-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.40-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.40-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 19 2017 gil cattaneo <puntogil@libero.it> 1.9.40-3
- remove test failure

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Nov 03 2016 gil cattaneo <puntogil@libero.it> 1.9.40-1
- update to 1.9.40

* Tue Aug 16 2016 gil cattaneo <puntogil@libero.it> 1.9.39-1
- update to 1.9.39

* Sat Apr 16 2016 gil cattaneo <puntogil@libero.it> 1.9.38-1
- update to 1.9.38

* Tue Aug 11 2015 gil cattaneo <puntogil@libero.it> 1.9.30-1
- update to 1.9.30

* Tue May 19 2015 gil cattaneo <puntogil@libero.it> 1.9.24-1
- initial rpm
